gcc_atomic.h File Reference

Go to the source code of this file.

## Typedefs

typedef int | _msgpack_atomic_counter_t

## Functions

int | _msgpack_sync_decr_and_fetch (volatile _msgpack_atomic_counter_t *ptr)
int | _msgpack_sync_incr_and_fetch (volatile _msgpack_atomic_counter_t *ptr)

## Typedef Documentation

## _msgpack_atomic_counter_t

typedef int _msgpack_atomic_counter_t

## Function Documentation

## _msgpack_sync_decr_and_fetch()

int _msgpack_sync_decr_and_fetch | ( | volatile _msgpack_atomic_counter_t * | ptr | ) |

## _msgpack_sync_incr_and_fetch()

int _msgpack_sync_incr_and_fetch | ( | volatile _msgpack_atomic_counter_t * | ptr | ) |